Subject: [PATCH v2 00/11] completion: avoid hard coding config var list

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Sat, 26 May 2018 15:55:20 +0200

v2 changes:

- based on 'next'
- C99 is now mentioned in the commit message
- fixed Eric's comments
- the old 8/9 partial case-insensitive support patch is replaced
  with Szeder's version.
  
  Szeder I claimed authorship because I wrote the commit message which
  may not be what you like. If you want to claim it instead, I'll be
  glad to resend.

- There is no levenshtein support yet. But the code is updated to keep
  this config list in memory instead of printf'ing directly to make it
  easier in the future to do that.

Nguyễn Thái Ngọc Duy (11):
  Add and use generic name->id mapping code for color slot parsing
  grep: keep all colors in an array
  fsck: factor out msg_id_info[] lazy initialization code
  help: add --config to list all available config
  fsck: produce camelCase config key names
  advice: keep config name in camelCase in advice_config[]
  am: move advice.amWorkDir parsing back to advice.c
  completion: drop the hard coded list of config vars
  completion: keep other config var completion in camelCase
  completion: support case-insensitive config vars
  log-tree: allow to customize 'grafted' color

 Documentation/config.txt               |   3 +-
 Documentation/git-help.txt             |   5 +
 advice.c                               |  53 ++--
 advice.h                               |   1 +
 builtin/am.c                           |   6 +-
 builtin/branch.c                       |  29 +-
 builtin/clean.c                        |  29 +-
 builtin/commit.c                       |  36 +--
 builtin/help.c                         |  16 ++
 config.c                               |  13 +
 config.h                               |   4 +
 contrib/completion/git-completion.bash | 357 ++-----------------------
 diff.c                                 |  56 ++--
 fsck.c                                 |  68 +++--
 generate-cmdlist.sh                    |  19 ++
 grep.c                                 | 109 ++++----
 grep.h                                 |  21 +-
 help.c                                 |  84 ++++++
 help.h                                 |  45 +++-
 log-tree.c                             |  37 +--
 t/t4254-am-corrupt.sh                  |   2 +-
 21 files changed, 440 insertions(+), 553 deletions(-)

-- 
2.17.0.705.g3525833791